Name: gnu-trove
Version: 1.1
Release: alt0.1b4

Summary: High performance collections for Java
License: LGPL
Url: http://trove4j.sourceforge.net/
Group: Development/Java

Source0: trove-1.1b4.tar.bz2
Source1: trove-build.xml
BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit
BuildArch: noarch

%description
The GNU Trove library has two objectives:

Provide "free" (as in "free speech" and "free beer"),
fast, lightweight implementations of the java.util
Collections API. These implementations are designed
to be pluggable replacements for their JDK equivalents.

Whenever possible, provide the same collections support
for primitive types. This gap in the JDK is often
addressed by using the "wrapper" classes
(java.lang.Integer, java.lang.Float, etc.) with
Object-based collections. For most applications, however,
collections which store primitives directly will require
less space and yield significant performance gains.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
%summary.

%prep
%setup -q -n trove-1.1b4
cp %SOURCE1 build.xml

%build
export CLASSPATH=
%__ant -Dbuild.sysclasspath=only dist

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}

# jars
%__cp -p target/*.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc *.txt AUTHORS ChangeLog
%_javadir/%name.jar

%files javadoc
%_javadocdir/%name

%changelog
* Thu May 05 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt0.1b4
- Initial build for ALT Linux Sisyphus

